Description

The web service should accept user details as input and create a corresponding user in Keycloak.
e Use Alya to create the web service.
e Use gocloak to create a user in Keycloak based on the input user details.

¢ Handle any errors that may occur during the user creation process and returning the error response.
¢ Test the web service to ensure it creates users correctly in Keycloak.

user-create web service

History

#1 - 07/11/2023 03:42 PM - Sachin Divekar

- Assignee set to Tushar Bhingare

#2 - 09/11/2023 09:52 PM - Tushar Bhingare

- Status changed from New to In Progress

e Created a web service using Alya.
¢ Used gocloak to create a user in Keycloak based on the input user details.
e Handled any errors that may occur during the user creation process and returned the error response.

#3 - 21/11/2023 06:19 PM - Tushar Bhingare

¢ Obtaining the token from the bearer token
¢ Added middleware for token authentication
e Storing the token in Redis.

#4 - 22/11/2023 06:23 PM - Tushar Bhingare
- File create user.png.png added

¢ performed testing on the web service to verify its capability to successfully create users. *

#5 - 06/12/2023 05:35 PM - Tushar Bhingare

WSC: User creation

e created web service using updated Alya.

took appconfig values from config.json by using alya/config pkg

Completed logging by using alya/logger

performed authentication and created router using alya/router

Used alya/service to create user handler and added gocloak client to service dependencies
Extracted token from the context header.
e Used gocloak to create a user in Keycloak based on the input user details.

#6 - 15/02/2024 09:59 AM - Sachin Divekar

- Status changed from In Progress to Closed
